RADIFF(1)

NAME
radiff - Unified binary diffing utility

SYNOPSIS
radiff [-cbgeirp] [-f [from]] [-t [to]] [file.a] [file.b]

DESCRIPTION
radiff implements some binary diffing algorithms.

-b  Use bytediff (byte-per-byte binary diffing between two target files), this is the faster way to do it, but it will not handle byte insertion or offset displacements.

-c  Show output in disassembly format with delta offset support.

-d  Use the GNU diff as backend (slow, but really good output)

-e  Use the erg0ts generic c++ implementation of bindiff.

-n  Display only the number of differences found.

-r  Display results as radare commands (used to generate binary patch files)

-s  Use rsc symdiff to find differences at symbol level (support delta diffing)

-S  Use rsc symbytediff to find differences at symbol level using a byte-per-byte binary comparision algorithm.

-p  Perform a diff between two RDB files (radare databases) these files can be generated from radare using the code analysis commands, or from IDA using the ida2rdb.idc script)

-f -[from]
    Define from address (start looking for differences at offset 'from'

-t -[to]
    Define end address (stop binary diffing at offset 'to'

-h  Show usage help message.

NOTES

Check 'man rsc-bindiff'

SEE ALSO

bindiff(1), hasher(1), radare(1), radarerc(5), rabin(1), rfile(1), xc(1), rsc(1), rsc-bindiff(1), rasc(1), rasm(1), xrefs(1)

AUTHORS

pancake <@youterm.com>